Package: org.codehaus.groovy.classgen.asm

## [Java] Class OptimizingStatementWriter.StatementMeta

- org.codehaus.groovy.classgen.asm.OptimizingStatementWriter.StatementMeta

-     public static class OptimizingStatementWriter.StatementMeta
      extends Object

  Stores optimization metadata collected for a statement or expression.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected VariableExpression` | `declaredVariableExpression` | Variable declaration extracted from the annotated statement, if any.
    `protected boolean[]` | `involvedTypes` | Primitive categories involved in the annotated node.
    `protected MethodNode` | `target` | Direct-call target selected for the annotated node.
    `protected ClassNode` | `type` | Resolved result type for the annotated node.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `chainInvolvedTypes(OptimizingStatementWriter.OptimizeFlagsCollector opt)` Merges the involved primitive categories from the supplied collector.
      > `` | `public String` | `toString()` Returns a string representation of the object. API Note: In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The string output is not necessarily stable over time or across JVM invocations. Implementation Requirements: The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:
      >     getClass().getName() + '@' + Integer.toHexString(hashCode())
    Returns: a string representation of the object.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected VariableExpression declaredVariableExpression

      Variable declaration extracted from the annotated statement, if any.

    - #### protected boolean[] involvedTypes

      Primitive categories involved in the annotated node.

    - #### protected MethodNode target

      Direct-call target selected for the annotated node.

    - #### protected ClassNode type

      Resolved result type for the annotated node.

  - ### Method Detail

    - #### public void chainInvolvedTypes(OptimizingStatementWriter.OptimizeFlagsCollector opt)

      Merges the involved primitive categories from the supplied collector.

      Parameters:
        `opt` - the collector to merge from

    - #### public String toString()

      Returns a string representation of the object.

      API Note:
        In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The string output is not necessarily stable over time or across JVM invocations.
      Implementation Requirements:
        The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

        >     getClass().getName() + '@' + Integer.toHexString(hashCode())

      Returns:
        a string representation of the object.